# Get Integration Routes for TOE source: https://developer.mastercard.com/riskrecon-api/documentation/testing/integration-routes-samples/retrieve-toe-routes-smpl/index.md Allows you to retrieve direct links to the RiskRecon portal for a specific Target of Evaluation (TOE). ## Pre-requisites {#pre-requisites} Refer to the [Retrieve Integration Routes for TOE](https://developer.mastercard.com/riskrecon-api/documentation/use-cases/navigation-and-access/integrationroutes/retrieve-toe-routes/index.md) use case. ## Request URL for Sandbox environment {#request-url-for-sandbox-environment} ```bash GET https://api.sandbox.riskrecon.com/v1/integration/routes/{toe_id/details} ``` ## Request URL for Production environment {#request-url-for-production-environment} ```bash GET https://api.riskrecon.com/v1/integration/routes/{toe_id/details} ``` ## Test Cases {#test-cases} ### Test Case: Success - Get integration routes for TOE {#test-case-success---get-integration-routes-for-toe} **Request** Here is an example of a request made using a `curl` command. ```bash curl -X 'GET' \ 'https://api.sandbox.riskrecon.com/v1/integration/routes/30c9a286-2d9c-4c57-828d-9b503a14cf39/details' \ -H 'accept: application/json' -H 'Authorization: Bearer valid_JWT_token' ``` **Response** get: ```json { "links": [ { "link": "https://portal.riskrecon.com/portal/vendor/30c9a286-2d9c-4c57-828d-9b503a14cf39/cyber/overview", "risk_dimension": "cyber" }, { "link": "https://portal.riskrecon.com/portal/vendor/30c9a286-2d9c-4c57-828d-9b503a14cf39/cyber/security-profile/data_loss", "risk_dimension": "cyber", "security_domain": "data_loss" }, { "link": "https://portal.riskrecon.com/portal/vendor/30c9a286-2d9c-4c57-828d-9b503a14cf39/cyber/security-profile/defensibility", "risk_dimension": "cyber", "security_domain": "defensibility" }, { "link": "https://portal.riskrecon.com/portal/vendor/30c9a286-2d9c-4c57-828d-9b503a14cf39/cyber/security-profile/dns_security", "risk_dimension": "cyber", "security_domain": "dns_security" }, { "link": "https://portal.riskrecon.com/portal/vendor/30c9a286-2d9c-4c57-828d-9b503a14cf39/cyber/security-profile/email_security", "risk_dimension": "cyber", "security_domain": "email_security" }, { "link": "https://portal.riskrecon.com/portal/vendor/30c9a286-2d9c-4c57-828d-9b503a14cf39/cyber/security-profile/governance", "risk_dimension": "cyber", "security_domain": "governance" }, { "link": "https://portal.riskrecon.com/portal/vendor/30c9a286-2d9c-4c57-828d-9b503a14cf39/cyber/security-profile/network_filtering", "risk_dimension": "cyber", "security_domain": "network_filtering" }, { "link": "https://portal.riskrecon.com/portal/vendor/30c9a286-2d9c-4c57-828d-9b503a14cf39/cyber/security-profile/software_patching", "risk_dimension": "cyber", "security_domain": "software_patching" }, { "link": "https://portal.riskrecon.com/portal/vendor/30c9a286-2d9c-4c57-828d-9b503a14cf39/cyber/security-profile/system_hosting", "risk_dimension": "cyber", "security_domain": "system_hosting" }, { "link": "https://portal.riskrecon.com/portal/vendor/30c9a286-2d9c-4c57-828d-9b503a14cf39/cyber/security-profile/threat_intell", "risk_dimension": "cyber", "security_domain": "threat_intell" }, { "link": "https://portal.riskrecon.com/portal/vendor/30c9a286-2d9c-4c57-828d-9b503a14cf39/cyber/security-profile/web_app_security", "risk_dimension": "cyber", "security_domain": "web_app_security" }, { "link": "https://portal.riskrecon.com/portal/vendor/30c9a286-2d9c-4c57-828d-9b503a14cf39/cyber/security-profile/web_encryption", "risk_dimension": "cyber", "security_domain": "web_encryption" } ], "toe_id": "30c9a286-2d9c-4c57-828d-9b503a14cf39", "toe_short_name": "Haag Ltd" } ``` ### Test Case: Fail - Invalid JSON Web Token {#test-case-fail---invalid-json-web-token} **Request** Here is an example of a request made with an invalid JSON Web Token using a `curl` command. ```bash curl -X 'GET' \ 'https://api.sandbox.riskrecon.com/v1/integration/routes/09918d09-8d52-4e86-a3ec-5ef4d461e2ba/details' \ -H 'accept: application/json' -H 'Authorization: invalid_JWT_token' ``` **Response** HTTP Error response 401 ```json { "Errors": { "Error": [ { "Description": "Unauthorized request", "Details": "Invalid JWT", "ReasonCode": "UNAUTHORIZED", "Recoverable": false, "Source": "RISKRECON_API" } ] } } ```